Subject: Re: linux-next: build failure after merge of the amdgpu tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 16 Oct 2023 11:39:46 +1100

Hi Rodrigo,

On Tue, 10 Oct 2023 15:14:46 -0600 Rodrigo Siqueira Jordao <[email-masked]> wrote:
>
> I think I have a fix for that, but some things are unclear to me. I'm
> only able to see this issue when using allmodconfig. Additionally,
> when I inspected the function, it had a few local variables, not
> enough to explode the stack size fwiu. Is there any option in the
> allmodconfig that makes it easy to see this issue? Maybe something
> that I'm missing in my custom config file? Is it possible that
> allmodconfig enables some option that might increase the stack size?
> Perhaps the FPU flags from GCC include something else in the stack?
> 
> Also, for investigating this issue, I'm considering the local
> variables, but as you can see from dml_core_mode_support, it has a
> few pointers. Am I missing something?

This could possibly be caused by inlining of other functions that are
static within the same file.

Other than that, I am also at a loss.
-- 
Cheers,
Stephen Rothwell